# Get Prices

Get prices for all available payment methods or for a single payment method. Note that this endpoint should only be called when a user requests prices by providing the cryptocurrency, fiat and ideally amounts and payment method. This endpoint is for dynamic quotations and not to retrieve a list of static prices that can be cached. As a result, the endpoint is rate limited.

Endpoint: GET /api/prices
Version: 1.3
Security: sec0

## Header parameters:

  - `Accept` (string)

  - `X-Request-Id` (string)
    This is the correlation ID related to the request.

## Query parameters:

  - `source` (string, required)
    Source fiat or cryptocurrency code e.g. 'USD' for buy and 'BTC' for sell

  - `target` (string, required)
    Target fiat or cryptocurrency code e.g. 'BTC' for buy and 'USD' for sell

  - `source_amount` (number)
    Amount of the source fiat or cryptocurrency that will be used to calculate the target amount. Both source_amount and target_amount should not be sent.

  - `target_amount` (number)
    Amount of the target fiat or cryptocurrency that will be used to calculate the source_amount. Both source_amount and target_amount should not be sent.

  - `payment_method_id` (integer)
    Unique ID for the payment method that you want to get prices for.

  - `account_reference` (string)
    Unique customer reference provided by you.

  - `blockchain` (string)
    The blockchain that prices will be retrieved for. If this is not passed, then the default blockchain that has been configured for you will be used.

  - `discount_code` (string)
    (Beta) A code that can be passed to change your commission rate on this order. Please contact your account manager for code setup.


## Response 200 fields
